Subject: bug#16255: C-h p C-s games RET (package-show-package-list?) misses most of the games

From: Ivan Shmakov <[email-masked]>
Date: Thu, 26 Dec 2013 10:35:45 +0000

>>>>> Stefan Monnier <[email-masked]> writes:

 >> As it seems, package-show-package-list is given all the games found,
 >> yet it fails to render them in the resulting *Packages* buffer,
 >> perhaps because of them missing the Version: metadata.

 >> As per M-x trace-function-background:

 > package.el was designed to handle installation of packages that are
 > separate from Emacs.  It can also deal with packages that are bundled
 > with Emacs, but only if those announce themselves as such.

	Well, just to be clear, C-h p C-s games RET RET results in the
	following list on Emacs 24.3.1.

  5x5                             built-in   simple little puzzle game
  animate                         built-in   make text dance
  blackbox                        built-in   blackbox game in Emacs Lisp
  bubbles                         built-in   Puzzle game for Emacs
  cookie1                         built-in   retrieve random phrases from fortune cookie files
  decipher                        built-in   cryptanalyze monoalphabetic substitution ciphers
  dissociate                      built-in   scramble text amusingly for Emacs
  doctor                          built-in   psychological help for frustrated users
  dunnet             2.1          built-in   text adventure for Emacs
  fortune                         built-in   use fortune to create signatures
  gamegrid           1.2          built-in   library for implementing grid-based games on Emacs
  gametree                        built-in   manage game analysis trees in Emacs
  gomoku                          built-in   Gomoku game between you and Emacs
  hanoi                           built-in   towers of hanoi in Emacs
  landmark                        built-in   neural-network robot that learns landmarks
  life                            built-in   John Horton Conway's `Life' game for GNU Emacs
  meese                           built-in   protect the impressionable young minds of America
  morse                           built-in   convert text to morse code and back
  mpuz                            built-in   multiplication puzzle for GNU Emacs
  pong                            built-in   classical implementation of pong
  snake                           built-in   implementation of Snake for Emacs
  solitaire                       built-in   game of solitaire in Emacs Lisp
  spook                           built-in   spook phrase utility for overloading the NSA line eater
  studly                          built-in   StudlyCaps (tm)(r)(c)(xxx)
  tetris             2.1          built-in   implementation of Tetris for Emacs
  yow                             built-in   quote random zippyisms
  zone                            built-in   idle display hacks

	To me, the failure of the recent development version to show the
	above seems like a regression, regardless of the particulars.

	If the change made to package.el was indeed intended, then my
	guess is that it should’ve been complemented with the changes to
	all of the packages above to make them fit the newly imposed
	criteria for inclusion.

-- 
FSF associate member #7257